OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.DrawIndirect

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBDrawIndirect :: MonadIO m => m Bool
- gl_ARB_draw_indirect :: Bool
- pattern GL_DRAW_INDIRECT_BUFFER :: GLenum
- pattern GL_DRAW_INDIRECT_BUFFER_BINDING :: GLenum
- glDrawArraysIndirect :: MonadIO m => GLenum -> Ptr a -> m ()
- glDrawElementsIndirect :: MonadIO m => GLenum -> GLenum -> Ptr a -> m ()

# Extension Support

glGetARBDrawIndirect :: MonadIO m => m Bool Source #

Is the ARB_draw_indirect extension supported?

gl_ARB_draw_indirect :: Bool Source #

Is the ARB_draw_indirect extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDrawIndirect` in those cases instead.

# Enums

pattern GL_DRAW_INDIRECT_BUFFER :: GLenum Source #

pattern GL_DRAW_INDIRECT_BUFFER_BINDING :: GLenum Source #

# Functions

glDrawArraysIndirect Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> Ptr a | `indirect`.
-> m () |

Manual page for OpenGL 4.x.

glDrawElementsIndirect Source #

Arguments

:: MonadIO m |
=> GLenum | `mode` of type PrimitiveType.
-> GLenum | `type` of type DrawElementsType.
-> Ptr a | `indirect`.
-> m () |

Manual page for OpenGL 4.x.